MagickWand: magick-property.h File Reference

# magick-property.h File Reference

Go to the source code of this file.

## Functions
WandExport char * | MagickGetFilename (const MagickWand *)
WandExport char ** | MagickGetFormat (MagickWand *)
WandExport char *** | MagickGetFont (MagickWand *)
WandExport char **** | MagickGetHomeURL (void)
WandExport char ****** | MagickGetImageProfiles (MagickWand *, const char *, unsigned long *)
WandExport char ******* | MagickGetImageProperty (MagickWand *, const char *)
WandExport char ********* | MagickGetImageProperties (MagickWand *, const char *, unsigned long *)
WandExport char ********** | MagickGetOption (MagickWand *, const char *)
WandExport char ************ | MagickGetOptions (MagickWand *, const char *, unsigned long *)
WandExport char ************* | MagickQueryConfigureOption (const char *)
WandExport char *************** | MagickQueryConfigureOptions (const char *, unsigned long *)
WandExport char ***************** | MagickQueryFonts (const char *, unsigned long *)
WandExport char ******************* | MagickQueryFormats (const char *, unsigned long *)
WandExport CompressionType | MagickGetCompression (MagickWand *)
WandExport const char * | MagickGetCopyright (void)
WandExport const char ** | MagickGetPackageName (void)
WandExport const char *** | MagickGetQuantumDepth (unsigned long *)
WandExport const char **** | MagickGetQuantumRange (unsigned long *)
WandExport const char ***** | MagickGetReleaseDate (void)
WandExport const char ****** | MagickGetVersion (unsigned long *)
WandExport double | MagickGetPointsize (MagickWand *)
WandExport double * | MagickGetSamplingFactors (MagickWand *, unsigned long *)
WandExport double ** | MagickQueryFontMetrics (MagickWand *, const DrawingWand *, const char *)
WandExport double *** | MagickQueryMultilineFontMetrics (MagickWand *, const DrawingWand *, const char *)
WandExport GravityType | MagickGetGravity (MagickWand *)
WandExport ImageType | MagickGetType (MagickWand *)
WandExport InterlaceType | MagickGetInterlaceScheme (MagickWand *)
WandExport InterpolatePixelMethod | MagickGetInterpolateMethod (MagickWand *)
WandExport MagickBooleanType | MagickDeleteOption (MagickWand *, const char *)
WandExport MagickBooleanType | MagickDeleteImageProperty (MagickWand *, const char *)
WandExport MagickBooleanType | MagickGetAntialias (const MagickWand *)
WandExport MagickBooleanType | MagickGetPage (const MagickWand *, unsigned long *, unsigned long *, long *, long *)
WandExport MagickBooleanType | MagickGetSize (const MagickWand *, unsigned long *, unsigned long *)
WandExport MagickBooleanType | MagickGetSizeOffset (const MagickWand *, long *)
WandExport MagickBooleanType | MagickProfileImage (MagickWand *, const char *, const void *, const size_t)
WandExport MagickBooleanType | MagickSetAntialias (MagickWand *, const MagickBooleanType)
WandExport MagickBooleanType | MagickSetBackgroundColor (MagickWand *, const PixelWand *)
WandExport MagickBooleanType | MagickSetCompression (MagickWand *, const CompressionType)
WandExport MagickBooleanType | MagickSetCompressionQuality (MagickWand *, const unsigned long)
WandExport MagickBooleanType | MagickSetDepth (MagickWand *, const unsigned long)
WandExport MagickBooleanType | MagickSetFilename (MagickWand *, const char *)
WandExport MagickBooleanType | MagickSetFormat (MagickWand *, const char *)
WandExport MagickBooleanType | MagickSetFont (MagickWand *, const char *)
WandExport MagickBooleanType | MagickSetGravity (MagickWand *, const GravityType)
WandExport MagickBooleanType | MagickSetImageProfile (MagickWand *, const char *, const void *, const size_t)
WandExport MagickBooleanType | MagickSetImageProperty (MagickWand *, const char *, const char *)
WandExport MagickBooleanType | MagickSetInterlaceScheme (MagickWand *, const InterlaceType)
WandExport MagickBooleanType | MagickSetInterpolateMethod (MagickWand *, const InterpolatePixelMethod)
WandExport MagickBooleanType | MagickSetOption (MagickWand *, const char *, const char *)
WandExport MagickBooleanType | MagickSetOrientation (MagickWand *, const OrientationType)
WandExport MagickBooleanType | MagickSetPage (MagickWand *, const unsigned long, const unsigned long, const long, const long)
WandExport MagickBooleanType | MagickSetPassphrase (MagickWand *, const char *)
WandExport MagickBooleanType | MagickSetPointsize (MagickWand *, const double)
WandExport MagickBooleanType | MagickSetResolution (MagickWand *, const double, const double)
WandExport MagickBooleanType | MagickSetResourceLimit (const ResourceType type, const MagickSizeType limit)
WandExport MagickBooleanType | MagickSetSamplingFactors (MagickWand *, const unsigned long, const double *)
WandExport MagickBooleanType | MagickSetSize (MagickWand *, const unsigned long, const unsigned long)
WandExport MagickBooleanType | MagickSetSizeOffset (MagickWand *, const unsigned long, const unsigned long, const long)
WandExport MagickBooleanType | MagickSetType (MagickWand *, const ImageType)
WandExport MagickProgressMonitor | MagickSetProgressMonitor (MagickWand *, const MagickProgressMonitor, void *)
WandExport PixelWand * | MagickGetBackgroundColor (MagickWand *)
WandExport OrientationType | MagickGetOrientationType (MagickWand *)
WandExport unsigned char * | MagickGetImageProfile (MagickWand *, const char *, size_t *)
WandExport unsigned char ** | MagickRemoveImageProfile (MagickWand *, const char *, size_t *)
WandExport unsigned long | MagickGetCompressionQuality (MagickWand *)
WandExport unsigned long | MagickGetResource (const ResourceType)
WandExport unsigned long | MagickGetResourceLimit (const ResourceType)

## Function Documentation

WandExport MagickBooleanType MagickDeleteImageProperty | ( | MagickWand * | ,
|  | const char * |  |
| ) |  |  |

WandExport MagickBooleanType MagickDeleteOption | ( | MagickWand * | ,
|  | const char * |  |
| ) |  |  |

WandExport MagickBooleanType MagickGetAntialias | ( | const MagickWand * |  | ) |

WandExport PixelWand* MagickGetBackgroundColor | ( | MagickWand * |  | ) |

WandExport CompressionType MagickGetCompression | ( | MagickWand * |  | ) |

WandExport unsigned long MagickGetCompressionQuality | ( | MagickWand * |  | ) |

WandExport const char* MagickGetCopyright | ( | void |  | ) |

WandExport char* MagickGetFilename | ( | const MagickWand * |  | ) |

WandExport char* * * MagickGetFont | ( | MagickWand * |  | ) |

WandExport char* * MagickGetFormat | ( | MagickWand * |  | ) |

WandExport GravityType MagickGetGravity | ( | MagickWand * |  | ) |

WandExport char* * * * MagickGetHomeURL | ( | void |  | ) |

WandExport unsigned char* MagickGetImageProfile | ( | MagickWand * | ,
|  | const char * | ,
|  | size_t * |  |
| ) |  |  |

WandExport char* * * * ** MagickGetImageProfiles | ( | MagickWand * | ,
|  | const char * | ,
|  | unsigned long * |  |
| ) |  |  |

WandExport char* * * * ** * ** MagickGetImageProperties | ( | MagickWand * | ,
|  | const char * | ,
|  | unsigned long * |  |
| ) |  |  |

WandExport char* * * * ** * MagickGetImageProperty | ( | MagickWand * | ,
|  | const char * |  |
| ) |  |  |

WandExport InterlaceType MagickGetInterlaceScheme | ( | MagickWand * |  | ) |

WandExport InterpolatePixelMethod MagickGetInterpolateMethod | ( | MagickWand * |  | ) |

WandExport char* * * * ** * ** * MagickGetOption | ( | MagickWand * | ,
|  | const char * |  |
| ) |  |  |

WandExport char* * * * ** * ** * ** MagickGetOptions | ( | MagickWand * | ,
|  | const char * | ,
|  | unsigned long * |  |
| ) |  |  |

WandExport OrientationType MagickGetOrientationType | ( | MagickWand * |  | ) |

WandExport const char* * MagickGetPackageName | ( | void |  | ) |

WandExport MagickBooleanType MagickGetPage | ( | const MagickWand * | ,
|  | unsigned long * | ,
|  | unsigned long * | ,
|  | long * | ,
|  | long * |  |
| ) |  |  |

WandExport double MagickGetPointsize | ( | MagickWand * |  | ) |

WandExport const char* * * MagickGetQuantumDepth | ( | unsigned long * |  | ) |

WandExport const char* * * * MagickGetQuantumRange | ( | unsigned long * |  | ) |

WandExport const char* * * * * MagickGetReleaseDate | ( | void |  | ) |

WandExport unsigned long MagickGetResource | ( | const | ResourceType | ) |

WandExport unsigned long MagickGetResourceLimit | ( | const | ResourceType | ) |

WandExport double * MagickGetSamplingFactors | ( | MagickWand * | ,
|  | unsigned long * |  |
| ) |  |  |

WandExport MagickBooleanType MagickGetSize | ( | const MagickWand * | ,
|  | unsigned long * | ,
|  | unsigned long * |  |
| ) |  |  |

WandExport MagickBooleanType MagickGetSizeOffset | ( | const MagickWand * | ,
|  | long * |  |
| ) |  |  |

WandExport ImageType MagickGetType | ( | MagickWand * |  | ) |

WandExport const char* * * * * * MagickGetVersion | ( | unsigned long * |  | ) |

WandExport MagickBooleanType MagickProfileImage | ( | MagickWand * | ,
|  | const char * | ,
|  | const void * | ,
|  | const | size_t |
| ) |  |  |

WandExport char* * * * ** * ** * ** * MagickQueryConfigureOption | ( | const char * |  | ) |

WandExport char* * * * ** * ** * ** * ** MagickQueryConfigureOptions | ( | const char * | ,
|  | unsigned long * |  |
| ) |  |  |

WandExport double * * MagickQueryFontMetrics | ( | MagickWand * | ,
|  | const DrawingWand * | ,
|  | const char * |  |
| ) |  |  |

WandExport char* * * * ** * ** * ** * ** ** MagickQueryFonts | ( | const char * | ,
|  | unsigned long * |  |
| ) |  |  |

WandExport char* * * * ** * ** * ** * ** ** ** MagickQueryFormats | ( | const char * | ,
|  | unsigned long * |  |
| ) |  |  |

WandExport double * * * MagickQueryMultilineFontMetrics | ( | MagickWand * | ,
|  | const DrawingWand * | ,
|  | const char * |  |
| ) |  |  |

WandExport unsigned char* * MagickRemoveImageProfile | ( | MagickWand * | ,
|  | const char * | ,
|  | size_t * |  |
| ) |  |  |

WandExport MagickBooleanType MagickSetAntialias | ( | MagickWand * | ,
|  | const | MagickBooleanType |
| ) |  |  |

WandExport MagickBooleanType MagickSetBackgroundColor | ( | MagickWand * | ,
|  | const PixelWand * |  |
| ) |  |  |

WandExport MagickBooleanType MagickSetCompression | ( | MagickWand * | ,
|  | const | CompressionType |
| ) |  |  |

WandExport MagickBooleanType MagickSetCompressionQuality | ( | MagickWand * | ,
|  | const unsigned long |  |
| ) |  |  |

WandExport MagickBooleanType MagickSetDepth | ( | MagickWand * | ,
|  | const unsigned long |  |
| ) |  |  |

WandExport MagickBooleanType MagickSetFilename | ( | MagickWand * | ,
|  | const char * |  |
| ) |  |  |

WandExport MagickBooleanType MagickSetFont | ( | MagickWand * | ,
|  | const char * |  |
| ) |  |  |

WandExport MagickBooleanType MagickSetFormat | ( | MagickWand * | ,
|  | const char * |  |
| ) |  |  |

WandExport MagickBooleanType MagickSetGravity | ( | MagickWand * | ,
|  | const | GravityType |
| ) |  |  |

WandExport MagickBooleanType MagickSetImageProfile | ( | MagickWand * | ,
|  | const char * | ,
|  | const void * | ,
|  | const | size_t |
| ) |  |  |

WandExport MagickBooleanType MagickSetImageProperty | ( | MagickWand * | ,
|  | const char * | ,
|  | const char * |  |
| ) |  |  |

WandExport MagickBooleanType MagickSetInterlaceScheme | ( | MagickWand * | ,
|  | const | InterlaceType |
| ) |  |  |

WandExport MagickBooleanType MagickSetInterpolateMethod | ( | MagickWand * | ,
|  | const | InterpolatePixelMethod |
| ) |  |  |

WandExport MagickBooleanType MagickSetOption | ( | MagickWand * | ,
|  | const char * | ,
|  | const char * |  |
| ) |  |  |

WandExport MagickBooleanType MagickSetOrientation | ( | MagickWand * | ,
|  | const | OrientationType |
| ) |  |  |

WandExport MagickBooleanType MagickSetPage | ( | MagickWand * | ,
|  | const unsigned long | ,
|  | const unsigned long | ,
|  | const | long,
|  | const | long |
| ) |  |  |

WandExport MagickBooleanType MagickSetPassphrase | ( | MagickWand * | ,
|  | const char * |  |
| ) |  |  |

WandExport MagickBooleanType MagickSetPointsize | ( | MagickWand * | ,
|  | const | double |
| ) |  |  |

WandExport MagickProgressMonitor MagickSetProgressMonitor | ( | MagickWand * | ,
|  | const | MagickProgressMonitor,
|  | void * |  |
| ) |  |  |

WandExport MagickBooleanType MagickSetResolution | ( | MagickWand * | ,
|  | const | double,
|  | const | double |
| ) |  |  |

WandExport MagickBooleanType MagickSetResourceLimit | ( | const ResourceType | type,
|  | const MagickSizeType | limit |
| ) |  |  |

WandExport MagickBooleanType MagickSetSamplingFactors | ( | MagickWand * | ,
|  | const unsigned long | ,
|  | const double * |  |
| ) |  |  |

WandExport MagickBooleanType MagickSetSize | ( | MagickWand * | ,
|  | const unsigned long | ,
|  | const unsigned long |  |
| ) |  |  |

WandExport MagickBooleanType MagickSetSizeOffset | ( | MagickWand * | ,
|  | const unsigned long | ,
|  | const unsigned long | ,
|  | const | long |
| ) |  |  |

WandExport MagickBooleanType MagickSetType | ( | MagickWand * | ,
|  | const | ImageType |
| ) |  |  |